
<div *ngIf="image; else noImage">

  <div class="row">
      <div class="col-md-5">
        <img [src]="imageUrl | async" class="uploaded-img"/>
      </div>
      <div class="col-md-6  ml-2  d-flex flex-column justify-content-between">

        <app-info-box>
            Lägg till en representativ bild. Rekommenderad storlek är minst 200 x 200 px och max 10 MB.
        </app-info-box>

        <div class="d-flex justify-content-around">
          <button class="btn btn-secondary" (click)="openEditorDialog(edit)">ÄNDRA BILD</button>
          <button class="btn btn-secondary" (click)="deleteImage()">TA BORT BILD</button>
        </div>

      </div>
  </div>

</div>

<ng-template #noImage>
  <div class="row">
    <div class="col-md-5">
      <div class="image-box"></div>
    </div>
    <div class="col-md-6 ml-2  d-flex flex-column">

      <app-info-box>
          Lägg till en representativ bild. Rekommenderad storlek är minst 200 x 200 px och max 10 MB.
      </app-info-box>

      <div class="mt-auto">
        <button class="btn btn-primary btn-select-image" data-cy="chooseImage" (click)="openEditorDialog(edit)">VÄLJ BILD</button>
      </div>
    </div>
  </div>
</ng-template>

<ng-template #edit let-modal id="edit">
  <div class="modal-header">
    
    <h3 class="modal-title H3-Left">Lägg till bild</h3>
  </div>
  <div class="modal-body">
    <app-info-box>
        Lägg till en representativ bild. Rekommenderad storlek är minst 200 x 200 px och max 10 MB.
    </app-info-box>
    
    <div class="image-editor" >

      <div class="row image-cropp">
        <div class="col-12">
          <h4>Hämta bild från länk </h4>
        </div>
        <div class="col-8">
          <input type="text" class="form-control input-field url-input" data-cy="linkToServiceImage"
                (ngModelChange)="imgUrlChange($event)" [ngModel]="imgUrl"
                (change)="getImageFromUrl(imgUrl)" aria-describedby="logoHelp"
                placeholder="Länk till en bild">
        </div>
        <div class="col-4">
          <button class="btn btn-primary get-btn" data-cy="getImageFromLink">HÄMTA</button>
        </div>
        <div class="col-12">
          <div  class="or-seperator">
            <p> — Eller — </p>
          </div>
        </div>
        <div class="col-8">
          <p>Ladda upp bild från fil:</p>
        </div>
        <div class="col-4">
          <input type="file" id="file" name="file" class="input-file" (change)="fileChangeEvent($event)"/>
          <label for="file" class="btn btn-primary">{{ imgUrl!='' ? 'VÄLJ FIL' : croppedImage ? 'BYT BILD' : uploadingImage ? 'URL':'Ladda upp en fil'}}</label>
        </div>
        <image-cropper
          [imageChangedEvent]="imageChangedEvent"
          [maintainAspectRatio]="false"
          [imageBase64]="imageBase64"
          [aspectRatio]="1/1"
          [resizeToWidth]="200"
          format="png"
          (imageCroppedBase64)="imageCropped($event)"
          (imageCroppedFile)="imageCroppedFile($event)"
          (imageLoaded)="imageLoaded()"
          (loadImageFailed)="loadImageFailed()">
        </image-cropper>
        
        <ngx-spinner
          bdColor = "rgba(255,255,255,0)"
          size = "large"
          color = "#ffd944"
          type = "square-jelly-box">
        </ngx-spinner>
        <!--<img [src]="croppedImage" class="uploaded-img"/>-->
      </div>
      <div class="col-12">
        <!--<button class=" btn btn-success" data-cy="uploadImage" *ngIf="croppedImage!=''" (click)="uploadImage()">LADDA-->
        <!--UPP BILD-->
        <!--</button>-->
      </div>
    </div>


  </div>
  <div class="modal-footer d-flex">

    <button type="button" class="justify-content-start btn btn-outline-secondary" (click)="closeEditorDialog('Close click')">
      AVBRYT
    </button>

    <button 
      class="justify-content-end ml-auto btn btn-primary btn-use" 
      data-cy="uploadImage" 
      *ngIf="croppedImage!=''"
      (click)="uploadImage()">
      ANVÄND BILD
    </button>

  </div>
</ng-template>
